﻿using Terraria;
using Terraria.ID;
using TerrariaApi.Server;
using TShockAPI;

namespace ReasonableJojaCola
{
    [ApiVersion(2, 1)]
    public class ReasonableJojaCola : TerrariaPlugin
    {
        public override string Name => "ReasonableJojaCola";
        public override string Author => "Zennnith";
        public override string Description => "更河里的joja阔落";
        public override Version Version => new Version(1, 1);

        public ReasonableJojaCola(Main game) : base(game) { }

        public override void Initialize()
        {
            ServerApi.Hooks.NetGetData.Register(this, OnGetData);
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
                ServerApi.Hooks.NetGetData.Deregister(this, OnGetData);
            base.Dispose(disposing);
        }

        private void OnGetData(GetDataEventArgs args)
        {
            if (args.MsgID == PacketTypes.PlayerSlot) 
            {
                var player = TShock.Players[args.Msg.whoAmI];
                if (player?.TPlayer.HeldItem?.type == ItemID.JojaCola) 
                {
                    player.SetBuff(BuffID.Swiftness, 1260); // 敏捷
                    player.Heal(5); 
                }
            }
        }
    }
}
